## Apache Zeta Components Manual :: Docs For Class ezcWorkflowCondition

### Workflow::ezcWorkflowCondition

### Interface ezcWorkflowCondition

Interface for workflow conditions.

Source for this file: /Workflow/src/interfaces/condition.php

Version: | //autogen//

### Method Summary

public boolean | `evaluate( $value )` Evaluates this condition.
public string | `__toString( )` Returns a textual representation of this condition.

### Methods

#### evaluate

boolean evaluate( mixed $value )

Evaluates this condition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | mixed |

#### __toString

string __toString( )

Returns a textual representation of this condition.

Documentation generated by phpDocumentor 1.4.3